Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# curve.hh File Reference

A GtkCurve C++ wrapper interface. More...

`#include <xfc/gtk/drawingarea.hh>`
`#include <gtk/gtkcurve.h>`
`#include <xfc/gtk/inline/curve.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Curve
    A GtkCurve C++ wrapper class. More...

## Enumerations

- enum CurveType {
  CURVE_TYPE_LINEAR = GTK_CURVE_TYPE_LINEAR,
  CURVE_TYPE_SPLINE = GTK_CURVE_TYPE_SPLINE,
  CURVE_TYPE_FREE = GTK_CURVE_TYPE_FREE
  }
    The type of curve. More...

## Detailed Description

A GtkCurve C++ wrapper interface.

Provides Curve, a widget that allows the user to edit a curve covering a range of values.

## Enumeration Type Documentation

enum CurveType

The type of curve.

Once set the curve will remain unchanged except when changing from a free curve to a linear or spline curve.

Enumeration values:

  CURVE_TYPE_LINEAR | Linear interpolation.
  CURVE_TYPE_SPLINE | Spline interpolation.
  CURVE_TYPE_FREE | Free form curve.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3